package com.fs.his.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.fs.his.mapper.FsStoreAfterSalesLogsMapper;
import com.fs.his.domain.FsStoreAfterSalesLogs;
import com.fs.his.service.IFsStoreAfterSalesLogsService;

/**
 * 售后订单操作Service业务层处理
 * 
 * @author fs
 * @date 2023-12-27
 */
@Service
public class FsStoreAfterSalesLogsServiceImpl implements IFsStoreAfterSalesLogsService 
{
    @Autowired
    private FsStoreAfterSalesLogsMapper fsStoreAfterSalesLogsMapper;

    /**
     * 查询售后订单操作
     * 
     * @param logsId 售后订单操作主键
     * @return 售后订单操作
     */
    @Override
    public FsStoreAfterSalesLogs selectFsStoreAfterSalesLogsByLogsId(Long logsId)
    {
        return fsStoreAfterSalesLogsMapper.selectFsStoreAfterSalesLogsByLogsId(logsId);
    }

    /**
     * 查询售后订单操作列表
     * 
     * @param fsStoreAfterSalesLogs 售后订单操作
     * @return 售后订单操作
     */
    @Override
    public List<FsStoreAfterSalesLogs> selectFsStoreAfterSalesLogsList(FsStoreAfterSalesLogs fsStoreAfterSalesLogs)
    {
        return fsStoreAfterSalesLogsMapper.selectFsStoreAfterSalesLogsList(fsStoreAfterSalesLogs);
    }

    /**
     * 新增售后订单操作
     * 
     * @param fsStoreAfterSalesLogs 售后订单操作
     * @return 结果
     */
    @Override
    public int insertFsStoreAfterSalesLogs(FsStoreAfterSalesLogs fsStoreAfterSalesLogs)
    {
        return fsStoreAfterSalesLogsMapper.insertFsStoreAfterSalesLogs(fsStoreAfterSalesLogs);
    }

    /**
     * 修改售后订单操作
     * 
     * @param fsStoreAfterSalesLogs 售后订单操作
     * @return 结果
     */
    @Override
    public int updateFsStoreAfterSalesLogs(FsStoreAfterSalesLogs fsStoreAfterSalesLogs)
    {
        return fsStoreAfterSalesLogsMapper.updateFsStoreAfterSalesLogs(fsStoreAfterSalesLogs);
    }

    /**
     * 批量删除售后订单操作
     * 
     * @param logsIds 需要删除的售后订单操作主键
     * @return 结果
     */
    @Override
    public int deleteFsStoreAfterSalesLogsByLogsIds(Long[] logsIds)
    {
        return fsStoreAfterSalesLogsMapper.deleteFsStoreAfterSalesLogsByLogsIds(logsIds);
    }

    /**
     * 删除售后订单操作信息
     * 
     * @param logsId 售后订单操作主键
     * @return 结果
     */
    @Override
    public int deleteFsStoreAfterSalesLogsByLogsId(Long logsId)
    {
        return fsStoreAfterSalesLogsMapper.deleteFsStoreAfterSalesLogsByLogsId(logsId);
    }
}
